confint {stats} | R Documentation

## Confidence Intervals for Model Parameters

### Description

Computes confidence intervals for one or more parameters in a fitted model. There is a default and a method for objects inheriting from class `"lm"`.

### Usage

    confint(object, parm, level = 0.95, ...)

### Arguments

`object` | a fitted model object.
`parm` | a specification of which parameters are to be given confidence intervals, either a vector of numbers or a vector of names. If missing, all parameters are considered.
`level` | the confidence level required.
`...` | additional argument(s) for methods.

### Details

`confint` is a generic function. The default method assumes asymptotic normality, and needs suitable `coef` and `vcov` methods to be available. The default method can be called directly for comparison with other methods.

For objects of class `"lm"` the direct formulae based on t values are used.

There are stub methods in package stats for classes `"glm"` and `"nls"` which call those in package MASS (if installed): if the MASS namespace has been loaded, its methods will be used directly. (Those methods are based on profile likelihood.)

### Value

A matrix (or vector) with columns giving lower and upper confidence limits for each parameter. These will be labelled as (1-level)/2 and 1 - (1-level)/2 in % (by default 2.5% and 97.5%).

### See Also

`confint.glm` and `confint.nls` in package MASS.

### Examples

    fit <- lm(100/mpg ~ disp + hp + wt + am, data = mtcars)
    confint(fit)
    confint(fit, "wt")

    ## from example(glm)
    counts <- c(18,17,15,20,10,20,25,13,12)
    outcome <- gl(3, 1, 9); treatment <- gl(3, 3)
    glm.D93 <- glm(counts ~ outcome + treatment, family = poisson())
    confint(glm.D93) # needs MASS to be installed
    confint.default(glm.D93)  # based on asymptotic normality

[Package stats version 3.5.3 Index]